PDA

View Full Version : Compiling Weka in Eclipse



pensadoro
10-03-2008, 04:33 AM
Hello, everybody. I'm trying to compile Weka in Eclipse following the instructions from this page http://weka.sourceforge.net/wiki/index.php/Eclipse, but I've two problems.
First of all, I use jre1.6, j2sdk1.4.2_16 and Eclipse 3.3.3, but the source code appears with more than 100 errors and it's impossible to compile.
Besides, I can't choose jsdk (that contains javac) with Ant, so I've to choose jre and the compilation fails.

Have anyone of you done it? Could you please tell me which version of Eclipse, weka and jsdk were you using? Did you follow the instructions from that page?

Thanks a lot

Mark
10-03-2008, 05:11 AM
Hi,

I'm using Eclipse 3.4.0 and jdk 1.5 without problems. If you are trying to compile the development version of Weka (e.g. 3.5.x), you will need jdk 1.5 or higher. The stable book version can be compiled with 1.4.

Cheers,
Mark

pensadoro
10-04-2008, 06:26 AM
It could be incredible but I had installed jre and jsdk separately, but I've donwload jdk1.6 and it could be chosen both in Ecplise and Ant, and Weka ran perfeectly.
Thanks